Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class DayOfWeek

    java.lang.Object
      com.compoze.exchange.DayOfWeek

All Implemented Interfaces:
  java.io.Serializable

public class DayOfWeek
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'day of week'. The internationalizable string values are stored in the `exchange_resources.properties` file (accessed through `ExchangeProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static DayOfWeek` | `FRIDAY` This value represents 'Friday'.
`static DayOfWeek` | `MONDAY` This value represents 'Monday'.
`static DayOfWeek` | `SATURDAY` This value represents 'Saturday'.
`static int` | `STORE_VALUE_FRIDAY` This value represents the store value for 'Friday'.
`static int` | `STORE_VALUE_MONDAY` This value represents the store value for 'Monday'.
`static int` | `STORE_VALUE_SATURDAY` This value represents the store value for 'Saturday'.
`static int` | `STORE_VALUE_SUNDAY` This value represents the store value for 'Sunday'.
`static int` | `STORE_VALUE_THURSDAY` This value represents the store value for 'Thursday'.
`static int` | `STORE_VALUE_TUESDAY` This value represents the store value for 'Tuesday'.
`static int` | `STORE_VALUE_WEDNESDAY` This value represents the store value for 'Wednesday'.
`static DayOfWeek` | `SUNDAY` This value represents 'Sunday'.
`static DayOfWeek` | `THURSDAY` This value represents 'Thursday'.
`static DayOfWeek` | `TUESDAY` This value represents 'Tuesday'.
`static DayOfWeek` | `WEDNESDAY` This value represents 'Wednesday'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static DayOfWeek` | `get(int iStoreValue)` Gets the day of week by its store value.
`static java.util.List` | `getList()` Gets the list of day of week levels.
`java.lang.String` | `getName()` Gets the name of the day of week using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the day of week using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the day of week in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_SUNDAY

    public static final int STORE_VALUE_SUNDAY

  This value represents the store value for 'Sunday'.

  See Also:
    Constant Field Values

### STORE_VALUE_MONDAY

    public static final int STORE_VALUE_MONDAY

  This value represents the store value for 'Monday'.

  See Also:
    Constant Field Values

### STORE_VALUE_TUESDAY

    public static final int STORE_VALUE_TUESDAY

  This value represents the store value for 'Tuesday'.

  See Also:
    Constant Field Values

### STORE_VALUE_WEDNESDAY

    public static final int STORE_VALUE_WEDNESDAY

  This value represents the store value for 'Wednesday'.

  See Also:
    Constant Field Values

### STORE_VALUE_THURSDAY

    public static final int STORE_VALUE_THURSDAY

  This value represents the store value for 'Thursday'.

  See Also:
    Constant Field Values

### STORE_VALUE_FRIDAY

    public static final int STORE_VALUE_FRIDAY

  This value represents the store value for 'Friday'.

  See Also:
    Constant Field Values

### STORE_VALUE_SATURDAY

    public static final int STORE_VALUE_SATURDAY

  This value represents the store value for 'Saturday'.

  See Also:
    Constant Field Values

### SUNDAY

    public static final DayOfWeek SUNDAY

  This value represents 'Sunday'.

### MONDAY

    public static final DayOfWeek MONDAY

  This value represents 'Monday'.

### TUESDAY

    public static final DayOfWeek TUESDAY

  This value represents 'Tuesday'.

### WEDNESDAY

    public static final DayOfWeek WEDNESDAY

  This value represents 'Wednesday'.

### THURSDAY

    public static final DayOfWeek THURSDAY

  This value represents 'Thursday'.

### FRIDAY

    public static final DayOfWeek FRIDAY

  This value represents 'Friday'.

### SATURDAY

    public static final DayOfWeek SATURDAY

  This value represents 'Saturday'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the day of week using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the day of week using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the day of week in the storage system.

  Returns:
    the store value

### get

    public static DayOfWeek get(int iStoreValue)

  Gets the day of week by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching day of week or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of day of week levels.

  Returns:
    the list of `DayOfWeek`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.